#include <bits/stdc++.h>

using namespace std;

int main()
{
    string a,b;
    cin>>a>>b;
    int al=a.length(),bl=b.length(),ac=0,bc=0;
    if(al>bl){
        cout<<a.substr(0,al-bl);
        ac=al-bl;
        al=bl;
    }
    else if(bl>al){
        cout<<b.substr(0,bl-al);
        bc=bl-al;
        bl=al;
    }
    for(int i=0;i<al;i++){
        if(a[ac]>b[bc])cout<<a[ac];
        else if(a[ac]<b[bc])cout<<b[bc];
        else cout<<a[ac]<<b[bc];
        ac++;
        bc++;
    }
    return 0;
}